﻿:root {
    --Page-Bg-Color: #F6F4EB;
    --Page-Text-Color: #1D3124;
    --Page-Bottom-Bar-Bg-Color: #EBE3D5;
    --Page-Bottom-Bar-Text-Color: #5F6F52;
    --input-border-color: #A9B388;
    --Input-Bg-Color: #ffffff;
    --Input-Text-Color: #474747;
    --Form-Caption-Color: #5F6F52;
    --Page-Caption-Bg-Color: #A9B388;
    --Page-Caption-Text-Color: #ffffff;
    --Page-Top-Bg-Color: #FFFBE9;
    --Page-Top-Text-Color: #2e2f33;
    --Page-Top-Bg-ColorGrad1: #1f61c1;
    --Page-Top-Bg-ColorGrad2: #0e4192;
    --Button-Accept-Text-Color: #ffffff;
    --Button-Accept-Bg-Color: #2e2f33;
    --Button-Cancel-Text-Color: #FCF8E8;
    --Button-Cancel-Bg-Color: #e45826;
    --Button-Carusel-Text-Color: #ffffff;
    --Button-Carusel-Bg-Color: #BD574E;
    --Label-Main-Color: #BD574E;
    --Label-Sub-Color: #314E52;
    --Guest-AttendStatus-0: #edb367;
    --Guest-AttendStatus-1: #c13a3a;
    --Guest-AttendStatus-2: #11a341;
    --Guest-List-Panel-Color: #ffffff;
    --Guest-List-Panel-Border: #d0d0d0;
    --Guest-List-Text-Color: #0d0d0d;
    --Panel-Bg-Color: #FFFBE9;
    --CheckBox-Enable-Color: #BD574E;
    --CheckBox-Disable-Color: #ccc;
    --ElementColor: #2e2f33;
    --ContractColor: #e45826;
}

body, html {
    font-family: 'Noto Sans Hebrew', sans-serif;
    height: 100%;
    width: 100%;
    /*background-color: var(--Page-Bg-Color);*/
    font-size: 16px;
    color: var(--Page-Text-Color);
    direction: rtl;
    line-height: 1.5em;
    background-image: linear-gradient(to bottom right, #4ACFFF,#FF3333)
}


.overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 40%;
    left: 0px;
    opacity: 0.5;
}

.PageTopPanel {
    border-bottom: solid 2px var(--Page-Top-Text-Color);
    padding: 5px;
    height: 100px;
    color: var(--Page-Top-Text-Color);
    font-size: 1.2em;
    font-weight: 400;
    background-color: var(--Page-Bottom-Bar-Bg-Color);
}


.InnerPage {
    font-family: 'Noto Sans Hebrew', sans-serif;
    height: 100%;
    width: 100%;
    background-color: var(--Page-Bg-Color);
    font-size: 16px;
    color: var(--Page-Text-Color);
    direction: rtl;
    line-height: 1.5em;
}


.MainMenuIcon {
    font-size: 1.3em;
    color: var(--CheckBox-Enable-Color);
    font-weight: 200;
}

.MainMenuText {
    color: var(--Page-Text-Color);
    font-size: 0.85em;
    font-weight: 500;
}

.ManagePageCaption {
    font-size: 1.3em;
    background-color: var(--Page-Caption-Bg-Color);
    color: var(--Page-Caption-Text-Color);
    border-radius: 5px;
    width: 100%;
    height: 30px;
    text-align: center;
    padding-top:2px;
}

.ExtraOptionsPanel {
    background-color: var(--Page-Bottom-Bar-Text-Color);
    border-left: solid 2px var(--Page-Bottom-Bar-Bg-Color);
    border-right: solid 2px var(--Page-Bottom-Bar-Bg-Color);
    border-top: solid 2px var(--Page-Bottom-Bar-Bg-Color);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.GuestListPanel {
    background-color: var(--Guest-List-Panel-Color);
    border: solid 1px var(--Guest-List-Panel-Border);
    padding-top: 3px;
    height: 55px;
    max-height: 55px;
    margin-top: 5px;
    border-right: solid 5px var(--Guest-List-Panel-Border);
    color: var(--Guest-List-Text-Color);
}

.GuestLabelName {
    font-weight: 500;
    font-size: 1.1em;
    padding: 0px;
    margin: 0px;
    color: var(--Guest-List-Text-Color);
    line-break: normal;
    line-height: 1.0em;
    text-align: right;
}

.GuestLabelPhone {
    font-weight: 400;
    font-size: 1.0em;
    padding: 0px;
    margin: 0px;
    color: var(--Guest-List-Text-Color);
    line-break: normal;
    line-height: 1.0em;
    text-align: right;
}

.AcceptButton {
    font-size: 1.0em;
    font-weight: 200;
    background-color: var(--Button-Accept-Bg-Color);
    color: var(--Button-Accept-Text-Color);
    cursor: pointer;
    outline: none;
    border: none;
    border-radius: 10px;
    padding: 5px;
}

.CaruselButton {
    font-size: 1.25em;
    font-weight: 400;
    color: var(--Button-Carusel-Text-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Button-Carusel-Text-Color);
    border-radius: 10px;
    padding: 5px;
    background-color: var(--Button-Carusel-Bg-Color);
}

.ContractButton {
    font-size: 1.25em;
    font-weight: 400;
    color: var(--Button-Carusel-Bg-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Text-Color);
    border-radius: 10px;
    padding: 5px;
    background-color: var(--Button-Carusel-Text-Color);
}

.RollButton {
    font-size: 1.25em;
    font-weight: 400;
    color: var(--Button-Carusel-Bg-Color);
    cursor: pointer;
    border: solid 1px var(--Page-Text-Color);
    border-radius: 10px;
    padding: 5px;
    background-color: var(--Button-Carusel-Text-Color);
}

.SettingsButton {
    font-size: 1.0em;
    font-weight: 400;
    color: var(--Page-Text-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Text-Color);
    border-radius: 10px;
    padding: 2px;
    background-color: var(--Button-Carusel-Text-Color);
}


.SettingsGreenButton {
    font-size: 1.0em;
    font-weight: 400;
    color: var(--Page-Text-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Text-Color);
    border-radius: 10px;
    padding: 2px;
    background-color: var(--Button-Carusel-Text-Color);
}

.SettingsRedButton {
    font-size: 1.0em;
    font-weight: 400;
    color: var(--Page-Bottom-Bar-Text-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Text-Color);
    border-radius: 10px;
    padding: 2px;
    background-color: var(--Page-Bottom-Bar-Bg-Color);
}



.FormSaveButton {
    font-size: 1.3em;
    font-weight: 500;
    color: var(--Page-Bottom-Bar-Text-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Bottom-Bar-Bg-Color);
    border-radius: 10px;
    padding: 2px;
    background-color: var(--Page-Bottom-Bar-Bg-Color);
    min-height: 45px;
}


.FormCancelButton {
    font-size: 1.3em;
    font-weight: 500;
    color: var(--Page-Bottom-Bar-Bg-Color);
    min-width: 120px;
    cursor: pointer;
    border: solid 1px var(--Page-Bottom-Bar-Bg-Color);
    border-radius: 10px;
    padding: 2px;
    background-color: var(--Page-Bottom-Bar-Text-Color);
    min-height:45px;
}

.MenuButton {
    height: 70px;
    margin: 5px;
    border-radius: 15px;
    padding-top: 8px;
    color: var(--ElementColor);
    font-size: 1.3em;
    border: solid 1px var(--ElementColor);
    text-align: center;
    font-weight: 400;
    background-color: var(--Input-Bg-Color)
}

.PageTopButton {
    padding: 10px 0px 10px 0px;
    font-size: 1.1em;
    font-weight: 600;
    background-color: var(--Page-Top-Text-Color);
    color: var(--Page-Top-Bg-Color);
    min-width: 120px;
    cursor: pointer;
    outline: none;
    border: none;
    border-radius: 18px;
    margin-right: 10px;
    margin-left: 10px;
}



.PageBottomPanel {
    color: var(--Page-Bottom-Bar-Text-Color);
    font-size: 1.15em;
    font-weight: 600;
}

.PageBottomButtons {
    height: 50px;
    background-color: var(--Page-Bottom-Bar-Bg-Color);
    border-top: solid 2px var(--Page-Bottom-Bar-Text-Color);
    color: var(--Page-Bottom-Bar-Text-Color);
}

.PageCaption {
    font-size:1.4em;
    font-weight:600;
    text-align:center;
}

.PageSubCaption {
    font-size: 1.2em;
    font-weight: 400;
}

.PageCaptionIcon {
    font-size:2.5em;
}

.TopSpacer {
    margin-top: 180px;
}


.FormPanel {
    /*background-color: var(--Panel-Bg-Color);*/
    /*border-radius: 10px 10px 0px 0px;*/
    padding-top: 10px;
    /*border-bottom:dotted 2px var(--Page-Top-Bg-Color);*/
}

.FormPanelCaption {
    font-size: 1.2em;
    color: var(--Form-Caption-Color);
    font-weight: 600;
    height: 30px;
}

.InputLine {
    font-weight: 400;
    border: 0;
    outline: 0;
    background: var(--Input-Bg-Color);
    border: solid 1px var(--input-border-color);
    border-radius: 10px;
    font-size: 1.2em;
    color: var(--Input-Text-Color);
    margin-top: 10px;
    text-align: right;
    line-height: 1.0em;
}


.InputLineTextArea {
    font-weight: 400;
    border: 0;
    outline: 0;
    background: var(--Input-Bg-Color);
    border: solid 1px var(--input-border-color);
    border-radius: 10px;
    font-size: 1.2em;
    color: var(--Input-Text-Color);
    margin-top: 10px;
    text-align: right;
}

.InputLineGroupList {
    font-weight: 400;
    border: 0;
    outline: 0;
    background: var(--Input-Bg-Color);
    border: solid 1px var(--input-border-color);
    border-radius: 10px;
    font-size: 1.2em;
    color: var(--Input-Text-Color);
    margin-top: 10px;
    text-align: right;
    line-height: 1.0em;
    padding:2px;
}

.InputLabel {
    font-weight: 400;
    font-size: 1.0em;
    padding: 0px;
    margin: 0px;
    color: var(--Label-Sub-Color);
    line-break: normal;
    line-height: 1.0em;
    text-align: right;
    padding-right: 20px;
}

.FormButtonAccept {
    width: 100%;
    height: 50px;
    font-size: 1.3em;
    font-weight: 400;
    background-color: var(--Button-Accept-Bg-Color);
    border: solid 1px var(--Button-Accept-Bg-Color);
    text-align: center;
    color: var(--Button-Accept-Text-Color);
    border-radius: 15px;
}

.FormButtonCancel {
    width: 100%;
    height: 50px;
    font-size: 1.3em;
    font-weight: 400;
    background-color: var(--Button-Cancel-Bg-Color);
    border: solid 1px var(--Button-Cancel-Bg-Color);
    text-align: center;
    color: var(--Button-Cancel-Text-Color);
    border-radius: 15px;
}


/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color:var(--CheckBox-Disable-Color);
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: #ffffff;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: var(--CheckBox-Enable-Color);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--CheckBox-Enable-Color);
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }

.InputLabelForCheckBox {
    font-size: 1.2em;
    color: var(--Input-Text-Color);
    margin-right: 10px;
    font-weight: 500;
}